NX Open C++ Reference Guide
|
Represents a CAE::LaminateMatOrientation builder
To create a new instance of this class, use CAE::LaminateGlobalLayupMgr::CreateLaminateMatOrientationBuilder
Created in NX7.5.0.
More...
Public Member Functions | |
NXString | FindOrRemoveDuplicateSurfaces (bool remove) |
Find or remove a surface if it is duplicated. | |
int | RefPlyId () |
Returns a method to get reference ply id Created in NX7.5.0. | |
NXOpen::CAE::LaminateSelectEntitiesBuilder * | Selection () |
Returns the geometric face(s) and element faces on which to assign the material orientation Created in NX7.5.2. | |
void | SetRefPlyId (int refPlyId) |
Sets a method to get reference ply id Created in NX7.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAE::LaminateMatOrientation builder
To create a new instance of this class, use CAE::LaminateGlobalLayupMgr::CreateLaminateMatOrientationBuilder
Created in NX7.5.0.
NXString NXOpen::CAE::LaminateMatOrientationBuilder::FindOrRemoveDuplicateSurfaces | ( | bool | remove | ) |
Find or remove a surface if it is duplicated.
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
remove | if remove is false, just find the surface otherwise remove it |
int NXOpen::CAE::LaminateMatOrientationBuilder::RefPlyId | ( | ) |
Returns a method to get reference ply id
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
NXOpen::CAE::LaminateSelectEntitiesBuilder* NXOpen::CAE::LaminateMatOrientationBuilder::Selection | ( | ) |
Returns the geometric face(s) and element faces on which to assign the material orientation
Created in NX7.5.2.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
void NXOpen::CAE::LaminateMatOrientationBuilder::SetRefPlyId | ( | int | refPlyId | ) |
Sets a method to get reference ply id
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
refPlyId | ref ply id |